occasionKey {secr} | R Documentation

## Key to Petal Plot

### Description

Displays a graphic key to the occasions corresponding to petals in a petal plot.

### Usage

    occasionKey(capthist, noccasions, rad = 3, x, y, px = 0.9, py = 0.9,
                             title = 'Occasion', ...)

### Arguments

`capthist` | single-session capthist object
`noccasions` | number of petals (if `capthist` not provided)
`rad` | distance of petal centre from key centre
`x` | numeric x coordinate for centre of key
`y` | numeric y coordinate for centre of key
`px` | x position as fraction of user coordinates
`py` | y position as fraction of user coordinates
`title` | character
`...` | other arguments passed to `text`

### Details

Either `capthist` or `noccasions` is required. It is assumed that a plot exists.

Graphic arguments in ... are applied to both the title and the occasion numbers.

### Value

The key will be added to an existing plot. No value is returned.

### See Also

`plot.capthist`

### Examples

    plot(captdata, border = 50)
    occasionKey(captdata, rad = 8, cex = 0.8)

[Package secr version 3.2.1 Index]